/*  Alien Pool
    Copyright (C) 2003  Michael J. Korman <mike@taequin.org>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/**
 * @file Bullet.hh
 * Interface of the Bullet class.
 */

#ifndef BULLET_HH
#define BULLET_HH

#include "Sprite.hh"

/**
 * Class to represent a bullet. This can be either an alien bullet of 
 * a player bullet.
 */
class Bullet : public Sprite {
public:
    Bullet(SpriteBase* sb, SDL_Surface* scr, SDL_Surface* bckgrnd, 
           float xvel, float yvel, int angle);
    ~Bullet();

    const int get_trajectory();
    const int get_ttl();

    void set_trajectory(int trajectory);
    void go();

private:
    int _trajectory; /**< Trajectory of the bullet. */
    int _ttl; /**< When this reaches 0, bullet disappears. */
};

#endif // BULLET_HH
